FocusListener (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface FocusListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, BasicButtonListener, BasicComboBoxEditor, BasicComboBoxUI.FocusHandler, BasicListUI.FocusHandler, BasicSliderUI.FocusHandler, BasicTableUI.FocusHandler, BasicToolBarUI.ToolBarFocusListener, BasicTreeUI.FocusHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler, DefaultCaret, FocusAdapter, JComponent.AccessibleJComponent.AccessibleFocusHandler

public interface FocusListener
extends EventListener

The listener interface for receiving keyboard focus events on a component. The class that is interested in processing a focus event either implements this interface (and all the methods it contains) or extends the abstract `FocusAdapter` class (overriding only the methods of interest). The listener object created from that class is then registered with a component using the component's `addFocusListener` method. When the component gains or loses the keyboard focus, the relevant method in the listener object is invoked, and the `FocusEvent` is passed to it.

Since:
  1.1
See Also:
  `FocusAdapter`, `FocusEvent`, Tutorial: Writing a Focus Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Invoked when a component gains the keyboard focus.

### focusLost

    public void focusLost(FocusEvent e)

  Invoked when a component loses the keyboard focus.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.